import { INPUT_METHOD } from '@atlaskit/editor-common/analytics';
import { bindKeymapWithCommand, keymap, toggleHighlightPalette } from '@atlaskit/editor-common/keymaps';
import { togglePalette } from '../commands';
export function keymapPlugin({
  api
}) {
  const list = {};
  bindKeymapWithCommand(toggleHighlightPalette.common, togglePalette(api)({
    inputMethod: INPUT_METHOD.SHORTCUT
  }), list);
  return keymap(list);
}